Subject: [6pack] Re Transmission or clutch issues

From: Dale Katzfey via 6pack <[email-masked]>
Date: Thu, 22 Oct 2015 10:02:43 -0400

Thanks guys for all the input.  It appears as though I will need to take 
out the transmission and look at the clutch to see what part failed or 
is failing.  I would guess the consensus would be to replace the whole 
thing while I have it out, right?  I replaced the clutch probably only 
18 years ago, but only put on about 25,000 miles.  But I did let it sit 
a couple of years and the plate was stuck and I had to break it loose.  
Now it is my daily driver so it is getting lots of use.

Thanks all,

Dale
74 TR6
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack